@echo off
rem Batch file to choose the type of picture displayed on
rem the title screen of ZONE HUNTER from 
rem VIRTUALITY ENTERTAINMENT LTD.
rem
rem Written by Matt Wilkinson, 24/06/94.
rem

cls
echo:
echo Zone Hunter (c) 1994 Virtuality Entertainment Ltd.
echo:

if "%1" == "" goto display_options
if "%1" == "d" goto dream_picture
if "%1" == "z" goto zone_pic
if "%1" == "s" goto smirnof_pic

:invalid_pic
echo *** CPIC ERROR : Invalid picture option.
echo:
goto end

:no_zone
echo *** CPIC ERROR : Cannot locate Zone Hunter picture (ZONEPIC.VST).
echo:
goto end

:no_smirn
echo *** CPIC ERROR : Cannot locate Smirnof picture (SMIRNPIC.VST).
echo:
goto end

:no_dream
echo *** CPIC ERROR : Cannot locate Dream Theater picture (DT_PIC.VST).
echo:
goto end

:zone_pic
echo Using original Zone Hunter picture.....
echo:
if not exist bitmaps\zonepic.vst goto no_zone
copy bitmaps\zonepic.vst bitmaps\titlepic.vst >nul
goto end

:dream_picture
echo Using Dream Theater picture.....
echo:
if not exist bitmaps\dt_pic.vst goto no_dream
copy bitmaps\dt_pic.vst bitmaps\titlepic.vst >nul
goto end

:smirnof_picture
echo Using Smirnof picture.....
echo:
if not exist bitmaps\smirnpic.vst goto no_smirn
copy bitmaps\smirnpic.vst bitmaps\titlepic.vst >nul
goto end

:display_options
echo This program will allow you to choose a new title picture
echo for the attract mode of Zone Hunter.
echo:
echo To use it :
echo:
echo CPIC (picture type)
echo:
echo Where (picture type) is one of the following :
echo   z = Original Zone Hunter picture
echo   d = Dream Theatre picture
echo   s = Smirnof picture
echo:
   
:end

