@echo off
rem Batch file to choose the type of picture displayed on
rem the title screen of VIRTUALITY BOXING from 
rem VIRTUALITY ENTERTAINMENT LTD.
rem
rem Written by Matt Wilkinson, 23/06/94.
rem

cls
echo:
echo Virtuality Boxing (c) 1994 Virtuality Entertainment Ltd.
echo:

if "%1" == "" goto display_options
if "%1" == "d" goto dream_picture
if "%1" == "b" goto boxer_pic

:invalid_pic
echo *** CPIC ERROR : Invalid picture option.
echo:
goto end

:no_boxer
echo *** CPIC ERROR : Cannot locate Boxer picture (BOXPIC.VST).
echo:
goto end

:no_dream
echo *** CPIC ERROR : Cannot locate Dream Theater picture (DT_PIC.VST).
echo:
goto end

:boxer_pic
echo Using original BOXER picture.....
echo:
if not exist runfiles\bitmaps\boxpic.vst goto no_boxer
copy runfiles\bitmaps\boxpic.vst runfiles\bitmaps\titlepic.vst >nul
goto end

:dream_picture
echo Using Dream Theater picture.....
echo:
if not exist runfiles\bitmaps\dt_pic.vst goto no_dream
copy runfiles\bitmaps\dt_pic.vst runfiles\bitmaps\titlepic.vst >nul
goto end

:display_options
echo This program will allow you to choose a new title picture
echo for the attract mode of Virtuality Boxing.
echo:
echo To use it :
echo:
echo CPIC (picture type)
echo:
echo Where (picture type) is one of the following :
echo   b = Original BOXER picture
echo   d = Dream Theatre picture
echo:
   
:end

